Subject: Re: [PATCH 0/4] Make git-send-email git-credential

From: Michal Nazarewicz <[email-masked]>
Date: Wed, 06 Feb 2013 21:38:56 +0100

On Wed, Feb 06 2013, Michal Nazarewicz wrote:
> As discussed on the list, adding git-credential interface to Git.pm
> (sort of copied from git-remote-mediawiki) and making git-send-email
> use it.
>
> I see git-remote-mediawiki does not have “use Git” so I did not touch
> it.  On top of that I'd have no way to tests the changes anyway.
>
> Michal Nazarewicz (4):
>   Git.pm: Allow command_close_bidi_pipe() to be called as method
>   Git.pm: Allow pipes to be closed prior to calling
>     command_close_bidi_pipe
>   Git.pm: Add interface for git credential command.
>   git-send-email: Use git credential to obtain password.
>
>  Documentation/git-send-email.txt |   4 +-
>  git-send-email.perl              |  60 +++++++++++---------
>  perl/Git.pm                      | 116 ++++++++++++++++++++++++++++++++++++++-
>  3 files changed, 149 insertions(+), 31 deletions(-)

On second thought, give me a moment, ;) I've just discovered a bug
preventing git-send-email from mailing a patchset.

-- 
Best regards,                                         _     _
.o. | Liege of Serenely Enlightened Majesty of      o' \,=./ `o
..o | Computer Science,  Michał “mina86” Nazarewicz    (o o)
ooo +----<email/xmpp: [email-masked]>--------------ooO--(_)--Ooo--